OUTPUT_ARCH(sh)
ENTRY("_start")

SECTIONS
{
	.text 0x402000 : {
		*(.note.gnu.build-id) /* for Linux */
		*(.text .text.*)
		_etext = .;
	}

	.rodata : {
		*(.rodata .rodata.*)
		_erodata = .;
	}

	. = ALIGN(0x1000);

	.data : {
		*(.data .data.*)
		*(.sdata .sdata.*)
		_edata = .;
	}

	.bss : {
		*(.bss .bss.*)
		*(.sbss .sbss.*)
		*(.scommon)
		*(COMMON)
		_ebss = .;
	}

	_end = .;
}
